Skip to content
Clym Partner Portal

API reference

Instance company

Read and update a merchant's company, its representatives and consent records, through the instance gateway.

Get company

GET

Retrieves information about the current company

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200The company informationapplication/json
resultobjectrequired
The company object
Show properties
idstringoptional
namestringoptional
emailstringoptional
primary_colorstringoptional
country_idstringoptional
The ISO-3166 Alpha-2 country code for this company
state_idstringoptional
The state code for the company, if applied
industry_idnumberoptional
The company's industry, if applied
sector_idnumberoptional
The company's sector, if applied
criteriasnumber[]optional
The company's custom criterias, if applied
vat_numberstringoptional
The new company VAT number
registration_numberstringoptional
The new company registration number
logo_urlstringoptional
The URL of the company's logo image on dark background
logo_light_urlstringoptional
The URL of the company's logo image on light background
default_languageobjectoptional
The company's default language
Show properties
idstringoptional
The language id
codestringoptional
The language code
namestringoptional
The language name
contact_informationobjectoptional
The company's contact information
Show properties
emailstringoptional
The primary contact email address
phone_numberstringoptional
The primary contact phone number
fax_numberstringoptional
The primary fax number
officesobject[]optional
An array of offices and addresses for the company
Show properties
is_mainbooleanoptional
Marks the given office as the main office, should be set only once in the array
idnumberoptional
Optional, specified only if we want to update an existing office. If not specified, the system will create a new office
namestringoptional
A description name of the office
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
representativesobject[]optional
An array of copany representatives
Show properties
idstringoptional
typestringenumoptional
The type of DPO configured
Possible values: PERSON ORGANIZATION
emailstringoptional
The contact email address of the DPO
company_namestringoptional
The company name, only for when we have an organization
first_namestringoptional
The DPO first name
last_namestringoptional
The DPO last name
positionstringoptional
The official position of the DPO within the company, available for persons and data representatives
descriptionstringoptional
The DPO short description
avatar_urlstringoptional
The DPO avatar URL, if available
categorystringoptional
The DPO category
jurisdictionstring[]optional
The DPO jurisdiction, available for data representatives
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
created_atstringoptional
bank_accountsobject[]optional
A list of company bank accounts
Show properties
idnumberoptional
namestringoptional
The bank account name
account_numberstringoptional
The bank account number
get/portal/instance/company
GET /api/portal/instance/company HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200The company information
{
  "result": {
    "id": "string",
    "name": "string",
    "email": "string",
    "primary_color": "#c3c3c3",
    "country_id": "US",
    "state_id": "DE",
    "industry_id": 2,
    "sector_id": 0,
    "criterias": [0],
    "vat_number": "string",
    "registration_number": "string",
    "logo_url": "string",
    "logo_light_url": "string",
    "default_language": {
      "id": "string",
      "code": "EN",
      "name": "English"
    },
    "contact_information": {
      "email": "string",
      "phone_number": 40741222333,
      "fax_number": 40741222333
    },
    "offices": [{
      "is_main": false,
      "id": 0,
      "name": "string",
      "address": {
        "id": {},
        "country": {},
        "state": {},
        "city": {},
        "address": {},
        "address_2": {},
        "postal_code": {},
        "phone_number": {}
      }
    }],
    "representatives": [{
      "id": "string",
      "type": "PERSON",
      "email": "string",
      "company_name": "string",
      "first_name": "string",
      "last_name": "string",
      "position": "string",
      "description": "string",
      "avatar_url": "string",
      "category": "string",
      "jurisdiction": [{}],
      "address": {},
      "created_at": "string"
    }],
    "bank_accounts": [{
      "id": 0,
      "name": "string",
      "account_number": "string"
    }]
  }
}

Update company

PUT

Change company information and settings

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
namestringoptional
The new company name
emailstringoptional
The new company email
vat_numberstringoptional
The new company VAT number
registration_numberstringoptional
The new company registration number
primary_colorstringoptional
The hex-encoded color to be applied for this company
countrystringoptional
The ISO-3166 Alpha-2 country code for this company, available via the /company/countries API call
statestringoptional
The state code for the company, if applied, available via the /company/countries API call
industry_idnumberoptional
The company's industry, available via the /company/industries API call
sector_idnumberoptional
The company's sector, available via the /company/sectors API call
logo_urlstringoptional
A previously-uploaded image id that will act as the company's logo image on dark background
logo_light_urlstringoptional
A previously-uploaded image id that will act as the company's logo image on light background
put/portal/instance/company
PUT /api/portal/instance/company HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "name": "string",
  "email": "string",
  "vat_number": "string",
  "registration_number": "string",
  "primary_color": "#c3c3c3",
  "country": "US",
  "state": "DE",
  "industry_id": 2,
  "sector_id": 0,
  "logo_url": "155e178a582341ffba1a57f66on1col4.3d07ab5....",
  "logo_light_url": "155e178a582341ffba1a57f66on1col4.3d07ab5...."
}
200Company information updated
{}

Get representatives

GET

Retrieve all company-level representatives

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Array of company representativesapplication/json
resultobject[]required
Show properties
idstringoptional
typestringenumoptional
The type of DPO configured
Possible values: PERSON ORGANIZATION
emailstringoptional
The contact email address of the DPO
company_namestringoptional
The company name, only for when we have an organization
first_namestringoptional
The DPO first name
last_namestringoptional
The DPO last name
positionstringoptional
The official position of the DPO within the company, available for persons and data representatives
descriptionstringoptional
The DPO short description
avatar_urlstringoptional
The DPO avatar URL, if available
categorystringoptional
The DPO category
jurisdictionstring[]optional
The DPO jurisdiction, available for data representatives
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
created_atstringoptional
get/portal/instance/company/representatives
GET /api/portal/instance/company/representatives HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Array of company representatives
{
  "result": [{
    "id": "string",
    "type": "PERSON",
    "email": "string",
    "company_name": "string",
    "first_name": "string",
    "last_name": "string",
    "position": "string",
    "description": "string",
    "avatar_url": "string",
    "category": "string",
    "jurisdiction": ["string"],
    "address": {
      "id": "string",
      "country": "RO",
      "state": "string",
      "city": "string",
      "address": "string",
      "address_2": "string",
      "postal_code": "string",
      "phone_number": 40755111222
    },
    "created_at": "string"
  }]
}

Create representative

POST

Create a new company-level representative

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
typestringenumoptional
The type of representative to configure
Possible values: PERSON ORGANIZATION
categorystringenumoptional
The representative category
Possible values: DPO REPRESENTATIVE DATA_REPRESENTATIVE
company_namestringoptional
The company name if the representative is an organization
first_namestringoptional
The person's first name if the representative is a person
last_namestringoptional
The person's last name if the representative is a person
positionstringoptional
The representative's position within the company
descriptionstringoptional
A short representative description
emailstringoptional
The representative's email address
jurisdictionstring[]optional
The representative's jurisdiction in case of a data representative
phone_numberstringoptional
The representative's phone number
postal_codestringoptional
The representative's postal code
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
avatar_urlstringoptional
A previously signed and uploaded asset id
200Result with the representative informationapplication/json
resultobjectrequired
The data processing officer/representative object
Show properties
idstringoptional
typestringenumoptional
The type of DPO configured
Possible values: PERSON ORGANIZATION
emailstringoptional
The contact email address of the DPO
company_namestringoptional
The company name, only for when we have an organization
first_namestringoptional
The DPO first name
last_namestringoptional
The DPO last name
positionstringoptional
The official position of the DPO within the company, available for persons and data representatives
descriptionstringoptional
The DPO short description
avatar_urlstringoptional
The DPO avatar URL, if available
categorystringoptional
The DPO category
jurisdictionstring[]optional
The DPO jurisdiction, available for data representatives
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
created_atstringoptional
post/portal/instance/company/representatives
POST /api/portal/instance/company/representatives HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "type": "PERSON",
  "category": "DPO",
  "company_name": "string",
  "first_name": "string",
  "last_name": "string",
  "position": "string",
  "description": "string",
  "email": "string",
  "jurisdiction": [
    "UK"
  ],
  "phone_number": "string",
  "postal_code": "string",
  "address": {
    "id": "string",
    "country": "RO",
    "state": "string",
    "city": "string",
    "address": "string",
    "address_2": "string",
    "postal_code": "string",
    "phone_number": 40755111222
  },
  "avatar_url": "string"
}
200Result with the representative information
{
  "result": {
    "id": "string",
    "type": "PERSON",
    "email": "string",
    "company_name": "string",
    "first_name": "string",
    "last_name": "string",
    "position": "string",
    "description": "string",
    "avatar_url": "string",
    "category": "string",
    "jurisdiction": ["string"],
    "address": {
      "id": "string",
      "country": "RO",
      "state": "string",
      "city": "string",
      "address": "string",
      "address_2": "string",
      "postal_code": "string",
      "phone_number": 40755111222
    },
    "created_at": "string"
  }
}

Get representative

GET

Retrieve information about a specific company-level representative

Path parameters:

Name Type Required Description
id string Yes

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Representative informationapplication/json
resultobjectrequired
The data processing officer/representative object
Show properties
idstringoptional
typestringenumoptional
The type of DPO configured
Possible values: PERSON ORGANIZATION
emailstringoptional
The contact email address of the DPO
company_namestringoptional
The company name, only for when we have an organization
first_namestringoptional
The DPO first name
last_namestringoptional
The DPO last name
positionstringoptional
The official position of the DPO within the company, available for persons and data representatives
descriptionstringoptional
The DPO short description
avatar_urlstringoptional
The DPO avatar URL, if available
categorystringoptional
The DPO category
jurisdictionstring[]optional
The DPO jurisdiction, available for data representatives
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
created_atstringoptional
get/portal/instance/company/representatives/{id}
GET /api/portal/instance/company/representatives/{id} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Representative information
{
  "result": {
    "id": "string",
    "type": "PERSON",
    "email": "string",
    "company_name": "string",
    "first_name": "string",
    "last_name": "string",
    "position": "string",
    "description": "string",
    "avatar_url": "string",
    "category": "string",
    "jurisdiction": ["string"],
    "address": {
      "id": "string",
      "country": "RO",
      "state": "string",
      "city": "string",
      "address": "string",
      "address_2": "string",
      "postal_code": "string",
      "phone_number": 40755111222
    },
    "created_at": "string"
  }
}

Update representative

PUT

Update a previously created company-level representative

Path parameters:

Name Type Required Description
id string Yes

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
typestringenumoptional
The type of representative to configure
Possible values: PERSON ORGANIZATION
categorystringenumoptional
The representative category
Possible values: DPO REPRESENTATIVE DATA_REPRESENTATIVE
company_namestringoptional
The company name if the representative is an organization
first_namestringoptional
The person's first name if the representative is a person
last_namestringoptional
The person's last name if the representative is a person
positionstringoptional
The representative's position within the company
descriptionstringoptional
A short representative description
emailstringoptional
The representative's email address
jurisdictionstring[]optional
The representative's jurisdiction in case of a data representative
phone_numberstringoptional
The representative's phone number
postal_codestringoptional
The representative's postal code
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
avatar_urlstringoptional
A previously signed and uploaded asset id
200Result with the DPO informationapplication/json
resultobjectrequired
The data processing officer/representative object
Show properties
idstringoptional
typestringenumoptional
The type of DPO configured
Possible values: PERSON ORGANIZATION
emailstringoptional
The contact email address of the DPO
company_namestringoptional
The company name, only for when we have an organization
first_namestringoptional
The DPO first name
last_namestringoptional
The DPO last name
positionstringoptional
The official position of the DPO within the company, available for persons and data representatives
descriptionstringoptional
The DPO short description
avatar_urlstringoptional
The DPO avatar URL, if available
categorystringoptional
The DPO category
jurisdictionstring[]optional
The DPO jurisdiction, available for data representatives
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
created_atstringoptional
put/portal/instance/company/representatives/{id}
PUT /api/portal/instance/company/representatives/{id} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "type": "PERSON",
  "category": "DPO",
  "company_name": "string",
  "first_name": "string",
  "last_name": "string",
  "position": "string",
  "description": "string",
  "email": "string",
  "jurisdiction": [
    "UK"
  ],
  "phone_number": "string",
  "postal_code": "string",
  "address": {
    "id": "string",
    "country": "RO",
    "state": "string",
    "city": "string",
    "address": "string",
    "address_2": "string",
    "postal_code": "string",
    "phone_number": 40755111222
  },
  "avatar_url": "string"
}
200Result with the DPO information
{
  "result": {
    "id": "string",
    "type": "PERSON",
    "email": "string",
    "company_name": "string",
    "first_name": "string",
    "last_name": "string",
    "position": "string",
    "description": "string",
    "avatar_url": "string",
    "category": "string",
    "jurisdiction": ["string"],
    "address": {
      "id": "string",
      "country": "RO",
      "state": "string",
      "city": "string",
      "address": "string",
      "address_2": "string",
      "postal_code": "string",
      "phone_number": 40755111222
    },
    "created_at": "string"
  }
}

Delete representative

DELETE

Deletes a previously created company-level representative

Path parameters:

Name Type Required Description
id string Yes

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with the DPO informationapplication/json
resultobjectoptional
Show properties
deletedbooleanoptional
delete/portal/instance/company/representatives/{id}
DELETE /api/portal/instance/company/representatives/{id} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with the DPO information
{
  "result": {
    "deleted": false
  }
}

Prepare upload

POST

This API endpoint is used when you want to upload a profile image to the representative. This will generate a signed upload URL you can use.

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
mimestringrequired
The mime type of the image you want to upload
200Result with an upload URL you can useapplication/json
resultobjectoptional
Show properties
urlstringrequired
The upload URL to be used to upload the image.
post/portal/instance/company/representatives/sign-asset
POST /api/portal/instance/company/representatives/sign-asset HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "mime": "image/png"
}
200Result with an upload URL you can use
{
  "result": {
    "url": "https://eu1.clym.io/api/u/CPK6....."
  }
}

Get countries

GET

Retrieves a list of available countries and their states

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with an array of countries and optional statesapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobject[]required
Show properties
idstringoptional
The ISO-3166 alpha-2 country code
namestringoptional
The country name
continent_idstringoptional
The 2-letter continent code
statesobject[]optional
An optional array of country states, regions or areas
Show properties
idstringoptional
The 2-letter state code
namestringoptional
The state name
get/portal/instance/company/countries
GET /api/portal/instance/company/countries HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of countries and optional states
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": [{
    "id": "US",
    "name": "United States",
    "continent_id": "NA",
    "states": [{
      "id": "AL",
      "name": "Alabama"
    }]
  }]
}

Get records

GET

Retrieve a list of consent records generated by properties within this company

Query parameters:

Name Type Required Description
merchant_id string No
domain_id string No
property_id string No
receipt_type string No
receipt_status string No
200Result with an array of recordsapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobject[]required
Show properties
receipt_idstringoptional
receipt_typestringenumoptional
Possible values: COOKIE_CONSENT AGE_CONFIRMATION WIRETAPPING VPPA
receipt_statusstringenumoptional
Possible values: ALLOWED DENIED PARTIAL
countrystringoptional
regionstringoptional
jurisdictionstringoptional
metaobjectoptional
data_collectionobject[]optional
Show properties
namestringoptional
descriptionstringoptional
fieldsobject[]optional
Show properties
categoriesstring[]optional
consent_typestringoptional
namestringoptional
partnersobject[]optional
Show properties
namestringoptional
usagestringoptional
urlstringoptional
processorsobject[]optional
purposesobject[]optional
Show properties
categorystringoptional
is_primarybooleanoptional
is_profilingbooleanoptional
legal_basestringoptional
legal_descriptionstringoptional
namestringoptional
statusstringoptional
terminationstringoptional
data_controllerobjectoptional
Show properties
namestringoptional
logostringoptional
phone_numberstringoptional
urlstringoptional
emailstringoptional
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
signaturestringoptional
subjectstringoptional
subject_authstring[]optional
The subject fields that must be verified before this record can be read.
subject_dataobjectoptional
property_idstringoptional
The property that created this record
created_atstringoptional
The creation date of this record
get/portal/instance/company/records
GET /api/portal/instance/company/records HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of records
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": [{
    "receipt_id": "RCPT_hUQKjW16QoVkvKPjQFQ1goZs5NmN00Dx",
    "receipt_type": "COOKIE_CONSENT",
    "receipt_status": "ALLOWED",
    "country": "string",
    "region": "string",
    "jurisdiction": "string",
    "meta": {},
    "data_collection": [{
      "name": "string",
      "description": "string",
      "fields": [{}],
      "partners": [{}],
      "processors": [{}],
      "purposes": [{}]
    }],
    "data_controller": {
      "name": "string",
      "logo": "string",
      "phone_number": "string",
      "url": "string",
      "email": "string",
      "address": {
        "id": {},
        "country": {},
        "state": {},
        "city": {},
        "address": {},
        "address_2": {},
        "postal_code": {},
        "phone_number": {}
      }
    },
    "signature": "string",
    "subject": "string",
    "subject_auth": ["email"],
    "subject_data": {},
    "property_id": "string",
    "created_at": "string"
  }]
}

Get record

GET

Retrieve the information of a receipt record

Path parameters:

Name Type Required Description
id string Yes

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result record informationapplication/json
resultobjectrequired
A consent record object
Show properties
receipt_idstringoptional
receipt_typestringenumoptional
Possible values: COOKIE_CONSENT AGE_CONFIRMATION WIRETAPPING VPPA
receipt_statusstringenumoptional
Possible values: ALLOWED DENIED PARTIAL
countrystringoptional
regionstringoptional
jurisdictionstringoptional
metaobjectoptional
data_collectionobject[]optional
Show properties
namestringoptional
descriptionstringoptional
fieldsobject[]optional
Show properties
categoriesstring[]optional
consent_typestringoptional
namestringoptional
partnersobject[]optional
Show properties
namestringoptional
usagestringoptional
urlstringoptional
processorsobject[]optional
purposesobject[]optional
Show properties
categorystringoptional
is_primarybooleanoptional
is_profilingbooleanoptional
legal_basestringoptional
legal_descriptionstringoptional
namestringoptional
statusstringoptional
terminationstringoptional
data_controllerobjectoptional
Show properties
namestringoptional
logostringoptional
phone_numberstringoptional
urlstringoptional
emailstringoptional
addressobjectoptional
The address object
Show properties
idstringoptional
The address ID (returned by API, not accepted on input)
countrystringoptional
statestringoptional
citystringoptional
addressstringoptional
address_2stringoptional
postal_codestringoptional
phone_numberstringoptional
signaturestringoptional
subjectstringoptional
subject_authstring[]optional
The subject fields that must be verified before this record can be read.
subject_dataobjectoptional
property_idstringoptional
The property that created this record
created_atstringoptional
The creation date of this record
get/portal/instance/company/records/{id}
GET /api/portal/instance/company/records/{id} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result record information
{
  "result": {
    "receipt_id": "RCPT_hUQKjW16QoVkvKPjQFQ1goZs5NmN00Dx",
    "receipt_type": "COOKIE_CONSENT",
    "receipt_status": "ALLOWED",
    "country": "string",
    "region": "string",
    "jurisdiction": "string",
    "meta": {},
    "data_collection": [{
      "name": "string",
      "description": "string",
      "fields": [{
        "categories": {},
        "consent_type": {},
        "name": {}
      }],
      "partners": [{
        "name": {},
        "usage": {},
        "url": {}
      }],
      "processors": [{}],
      "purposes": [{
        "category": {},
        "is_primary": {},
        "is_profiling": {},
        "legal_base": {},
        "legal_description": {},
        "name": {},
        "status": {},
        "termination": {}
      }]
    }],
    "data_controller": {
      "name": "string",
      "logo": "string",
      "phone_number": "string",
      "url": "string",
      "email": "string",
      "address": {
        "id": "string",
        "country": "RO",
        "state": "string",
        "city": "string",
        "address": "string",
        "address_2": "string",
        "postal_code": "string",
        "phone_number": 40755111222
      }
    },
    "signature": "string",
    "subject": "string",
    "subject_auth": ["email"],
    "subject_data": {},
    "property_id": "string",
    "created_at": "string"
  }
}

Get sectors

GET

Retrieves a list of available system sectors

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with an array of sectorsapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobject[]required
Show properties
idnumberoptional
The sector ID
namestringoptional
The sector name
descriptionstringoptional
The sector description
get/portal/instance/company/sectors
GET /api/portal/instance/company/sectors HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of sectors
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": [{
    "id": 0,
    "name": "string",
    "description": "string"
  }]
}

Get industries

GET

Retrieves a list of available system industries

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with an array of industriesapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobject[]required
Show properties
idnumberoptional
The industry ID
namestringoptional
The industry name
descriptionstringoptional
The industry description
get/portal/instance/company/industries
GET /api/portal/instance/company/industries HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of industries
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": [{
    "id": 0,
    "name": "string",
    "description": "string"
  }]
}

Get criteria groups

GET

Retrieves a list of available system criteria groups

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with an array of criteriasapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobject[]required
Show properties
idnumberoptional
The criteria group id
namestringoptional
The criteria group name
descriptionstringoptional
The criteria description
applied_tostringenumoptional
The target entity applied by this criteria group.
Possible values: USER COMPANY
criteriasobject[]optional
An array of available criteria options
Show properties
idnumberoptional
The criteria id
namestringoptional
The criteria name
valuestringoptional
The criteria value
get/portal/instance/company/criteria-groups
GET /api/portal/instance/company/criteria-groups HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of criterias
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": [{
    "id": 0,
    "name": "string",
    "description": "string",
    "applied_to": "USER",
    "criterias": [{
      "id": 0,
      "name": "string",
      "value": "string"
    }]
  }]
}

© 2026 Clym Partner PortalTermsPrivacy policyCookie policy